View Issue Details

IDProjectCategoryView StatusLast Update
0034891FPCDocumentationpublic2019-01-19 16:22
ReporterKai BurghardtAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSGNU/LinuxOS Version4.2.0
Product Version3.0.4Product Build3.0.4+dfsg-11 [2017/12/30] 
Target Version3.2.0Fixed in Version3.3.1 
Summary0034891: MMXDemo uses undeclared identifier
DescriptionA d1 is declared and defined, but later an access to an unknown d2 is made.
Tagsdocumentation
Fixed in Revision1536
FPCOldBugId
FPCTarget
Attached Files
  • mmx.xml.patch (559 bytes)
    --- mmx.xml~	2019-01-17 18:13:14.430604051 +0000
    +++ mmx.xml	2019-01-17 18:13:14.430604051 +0000
    @@ -165,15 +165,15 @@
     Program MMXDemo;
     uses mmx;
     var
    -   d1 : double;
    +   d : double;
        a : array[0..10000] of double;
        i : longint;
     begin
    -   d1:=1.0;
    +   d:=1.0;
     {$mmx+}
        { floating point data is used, but we do _no_ arithmetic }
        for i:=0 to 10000 do
    -     a[i]:=d2;  { this is done with 64 bit moves }
    +     a[i]:=d;  { this is done with 64 bit moves }
     {$mmx-}
        emms;   { clear fpu }
        { now we can do floating point arithmetic again }
    
    mmx.xml.patch (559 bytes)

Activities

Kai Burghardt

2019-01-17 19:19

reporter  

mmx.xml.patch (559 bytes)
--- mmx.xml~	2019-01-17 18:13:14.430604051 +0000
+++ mmx.xml	2019-01-17 18:13:14.430604051 +0000
@@ -165,15 +165,15 @@
 Program MMXDemo;
 uses mmx;
 var
-   d1 : double;
+   d : double;
    a : array[0..10000] of double;
    i : longint;
 begin
-   d1:=1.0;
+   d:=1.0;
 {$mmx+}
    { floating point data is used, but we do _no_ arithmetic }
    for i:=0 to 10000 do
-     a[i]:=d2;  { this is done with 64 bit moves }
+     a[i]:=d;  { this is done with 64 bit moves }
 {$mmx-}
    emms;   { clear fpu }
    { now we can do floating point arithmetic again }
mmx.xml.patch (559 bytes)

Michael Van Canneyt

2019-01-19 16:22

administrator   ~0113481

Applied the patch, thank you very much !

Issue History

Date Modified Username Field Change
2019-01-17 19:19 Kai Burghardt New Issue
2019-01-17 19:19 Kai Burghardt Status new => assigned
2019-01-17 19:19 Kai Burghardt Assigned To => Michael Van Canneyt
2019-01-17 19:19 Kai Burghardt File Added: mmx.xml.patch
2019-01-17 19:19 Kai Burghardt Tag Attached: documentation
2019-01-19 16:22 Michael Van Canneyt Fixed in Revision => 1536
2019-01-19 16:22 Michael Van Canneyt Note Added: 0113481
2019-01-19 16:22 Michael Van Canneyt Status assigned => resolved
2019-01-19 16:22 Michael Van Canneyt Fixed in Version => 3.3.1
2019-01-19 16:22 Michael Van Canneyt Resolution open => fixed
2019-01-19 16:22 Michael Van Canneyt Target Version => 3.2.0